$(document).ready(function()
{
    $('#menu li').removeClass('active').find('a[href*=all]').parent().addClass('active');

    /* Add one condition. */
    $(document).on('click', '.addItem', function()
    {
        var $tr = $(this).parents('tr');
        $tr.after($('#conditionGroup tbody').html().replace(/key/g, v.key));
        $tr.next().find('[name^=conditions][name*=field]').chosen();
        v.key++;
    });

    /* Remove one condition. */
    $(document).on('click', '.delItem', function()
    {
        var $tr = $(this).parents('tr');
        if($(this).parents('table').find('.addItem').size() == 1)
        {   
            $tr.find('select, input').val('');
            $tr.find('[name^=conditions][name*=field]').trigger('chosen:updated');
            return false;
        }   

        $tr.remove();
    });

    /* Toggle result value input. */
    $(document).on('change', '#result', function()
    {
        if($(this).val() == 'userdefined')
        {
            $('#resultValue').removeClass('hidden').focus();
        }
        else
        {
            $('#resultValue').addClass('hidden');
        }
    });
})
